Version 1 (modified by duncan, 6 years ago)

mention parsec 2 vs 3 issue

Note that the 2008.0 release of the Haskell Platform includes parsec version 2, not version 3.

Distributions may also package version 3 if they wish but if they package the platform they must also package version 2. It is not acceptable to package only version 3 while claiming support for the Haskell Platform.

Any decision to move to version 3 will go through the appropriate community discussion process. The intention is not to hold back progress but to get a consistent package collection for the community. If each distro makes its own choice then we get a mess and defeat one of the purposes of the platform.